#!/usr/bin/env python
# -*- coding: utf-8 -*-
# GraphenApp.py
## © Claus Albowski

## Importe:
import platform
versionsNummer=platform.python_version()[0]
if versionsNummer=='3': from tkinter import *
else: from Tkinter import *
from graphenprojekt import *
from graphenprojekt.dialoge import N_EingabenDialog

root = Tk()
groesseDialog = N_EingabenDialog(root,
                                 'Geben Sie die Groesse vor',
                                 [u'Breite',u'Höhe'],
                                 [800,800])
if groesseDialog.result==None:
    zeichenflaechenBreite=800
    zeichenflaechenHoehe=800
else:
    try:
        zeichenflaechenBreite=int(groesseDialog.result[0])
        zeichenflaechenHoehe=int(groesseDialog.result[1])
    except ValueError as e:
        zeichenflaechenBreite=800
        zeichenflaechenHoehe=800            
        
fenster = GraphenFenster(master=root,
                         zeichenflaechenBreite=zeichenflaechenBreite,
                         zeichenflaechenHoehe=zeichenflaechenHoehe,
                         scroll=True)
fenster.master.title('Graph')
fenster.mainloop()
try:
    root.destroy()
except Exception: pass

